orderservice

Full documentation for this service is available at /documentation/orderservice.

SetSellerOrderAsPaid |WebMethod|

Sets seller order as paid. The seller in this case is the user for which the call is made for.

Parameters
  1. request, The orderId of the order that is processed.
Returns

The orderId of the order that has been marked as paid.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/orderservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/SetSellerOrderAsPaid"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SetSellerOrderAsPaid xmlns="http://api.tradera.com">
      <request>request</request>
    </SetSellerOrderAsPaid>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SetSellerOrderAsPaidResponse xmlns="http://api.tradera.com">
      <SetSellerOrderAsPaidResult>The orderId of the order that has been marked as paid.</SetSellerOrderAsPaidResult>
    </SetSellerOrderAsPaidResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/orderservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SetSellerOrderAsPaid xmlns="http://api.tradera.com">
      <request>request</request>
    </SetSellerOrderAsPaid>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SetSellerOrderAsPaidResponse xmlns="http://api.tradera.com">
      <SetSellerOrderAsPaidResult>The orderId of the order that has been marked as paid.</SetSellerOrderAsPaidResult>
    </SetSellerOrderAsPaidResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/orderservice.asmx/SetSellerOrderAsPaid?appId=string&appKey=string&request=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SetSellerOrderAsPaidResult xmlns="http://api.tradera.com">The orderId of the order that has been marked as paid.</SetSellerOrderAsPaidResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/orderservice.asmx/SetSellerOrderAsPaid HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&request=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SetSellerOrderAsPaidResult xmlns="http://api.tradera.com">The orderId of the order that has been marked as paid.</SetSellerOrderAsPaidResult>